#pragma once
#include "../../Screen.h"
#include "Gui/GuiText.h"

class GameOverScreen final : public Screen {
public:
	GameOverScreen(const std::string& filePath, Vector2f pos, Vector2f size, TextureManager* manager);
	virtual ~GameOverScreen() override;

	virtual void Draw() const override;
	virtual void Update(float elapsedSecs) override;

	void MarkDirty();
	void SellAll();

private:
	Texture* m_SkullTexture{ nullptr }; 
	
};
